# git-punch

The command-line toolkit for effective and productive NotePunch
goodness.

## Requirements

- Ruby v1.9 or above
- Git v1.7 or above

## Installation

Install to the global gemset:

    $ gem install git-punch

You will now install the post-commit scripts that automatically upload
your large files to our servers. This will also edit your project
gitconfig to use `git-media`.

    $ git punch install

to install the post-commit scripts.

These scripts will automatically upload large files to our file server,
and auto-configure your repo for such a task.

## Configuration

Make sure you have the following in your ~/.gitconfig:

```gitconfig
[notepunch]
  username = YOUR_NOTEPUNCH_USERNAME
  token = YOUR_NOTEPUNCH_API_KEY
```

You can find all of this information on the profile page.

## Usage

To create a new song from the current repo:

    $ git punch create --title="An easier to read title" --private

Songs are public unless specifically marked private.

To fork the current repo:

    $ git punch fork

This will fork the repo to your user account.

You can also use `git-media`, auto-configured for NotePunch. Run the
following command to upload your files. Note: Your files are uploaded
automatically with the Git scripts!

    $ git media sync

Check the status of your files at any time:

    $ git media status

You can also force-upload all your files to our file server:

    $ git media clear && git media sync

Type the following commands for help:

    $ git punch help
    $ git media help

## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request

## Notes

We have not tested this on Windows, at all.
