# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'git_punch/version'

Gem::Specification.new do |spec|
  spec.name          = "git-punch"
  spec.version       = GitPunch::VERSION
  spec.authors       = ["Tom Scott"]
  spec.email         = ["tubbo@psychedeli.ca"]
  spec.description   = %{
    A command-line toolchain for working with NotePunch. Sets up your
    Git configuration for use with GitMedia and the NotePunch API.
    Implemented as a Git plugin, this software requires Git to be
    installed in order for it to be useful.
  }
  spec.summary       = spec.description
  spec.homepage      = "http://notepunch.com/"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^spec/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "rspec"
  spec.add_development_dependency "pry"

  spec.add_dependency 'trollop'
  spec.add_dependency 'notepunch-git-media'
  spec.add_dependency 'thor'
  spec.add_dependency 'httparty'
end
