require 'spec_helper'
require 'git_punch/user'

module GitPunch
  describe User do
    it "finds the user from the origin of the repo" do
      user = User.from_origin

      user.name.should == 'repo'
    end

    it "finds the user from the git config" do
      system 'git config punch.username "lester"'
      user = User.from_config

      user.should be_present
      user.name.should == 'lester'
    end

    context "with a test user" do
      subject { User.new name: 'username', token: '12345sixseveneight' }

      it "builds credentials suitable for an http request" do
        subject.credentials[:username].should == 'username'
        subject.credentials[:password].should == '12345sixseveneight'
      end
    end
  end
end
